/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef _FTMLIB_H
#define _FTMLIB_H

#ifdef WIN32
#if defined(FTM_EXPORTS)
#define FTM_API __declspec(dllexport)
#else
#define FTM_API __declspec(dllimport)
#endif
#else
#define FTM_API extern
#endif

/* configuration stuff */
#if defined(__APPLE__)  &&  defined(__MACH__) 
   /* we're compiling on Mac OS-X native (Mach-O) */
#  define HAVE_SDIF 
#define HAVE_LO
#elif WIN32
#  define HAVE_SDIF 
#undef HAVE_LO
#else
   /* we're compiling on Mac OS-X under Carbon CFM */
#  undef HAVE_SDIF
#undef HAVE_LO
#endif

/* FTS and Max */
#include "fts/fts.h"
#include "ftmversion.h"
#include "ftmrte.h"
#include "ftmext.h"

FTM_API int ftmlib_init(int version_major, int version_minor);

#endif
