/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */
#ifndef FTS_FTS_H_
#define FTS_FTS_H_

#ifdef WIN32
#if defined(FTSDLL_EXPORTS)
#define FTS_API __declspec(dllexport)
#else
#define FTS_API __declspec(dllimport)
#endif
#else
#define FTS_API extern
#endif

#include <stdio.h>

#define FTS_EXPRESSION_ARG_ONSET 1

#define FTS_MODULE_INIT(m) void fts_module_##m##_init(void); void fts_module_##m##_init(void)
#define FTS_MODULE_INIT_CALL(m) { extern void fts_module_##m##_init(void); fts_module_##m##_init(); }
#define FTS_PACKAGE_INIT(p) FTS_MODULE_INIT(p)

/* *** The inclusion order is important *** */
#include <ftsconfig.h> /* replaced */
#include <fts/types.h> /* replaced */
#include <fts/status.h>
#include <fts/malloc.h>
#include <fts/symbol.h>
#include <fts/stack.h>
#include <fts/fifo.h>
#include <fts/iterator.h>
#include <fts/hashtable.h>
#include <fts/list.h>
#include <fts/objectlist.h>
#include <fts/variable.h>
#include <fts/atom.h> /* replaced */
#include <fts/array.h>
#include <fts/object.h>
#include <fts/class.h>
#include <fts/function.h>
#include <fts/tokenizer.h>
#include <fts/expression.h>
#include <fts/objectset.h>
#include <fts/tuple.h>
#include <fts/message.h>
#include <fts/dumper.h>
#include <fts/patcherobject.h> /* replaced */
#include <fts/patcher.h> /* replaced */
#include <fts/package.h> /* replaced */
#include <fts/post.h>
#include <fts/bytestream.h>
#include <fts/midievent.h>
#include <fts/file.h> /* replaced */
#include <fts/atomfile.h>
#include <fts/midifile.h>
#include <fts/audiofile.h>
#include <fts/client.h> /* replaced */
#include <fts/timebase.h>

#include <fts/packages/utils/utils.h>
#include <fts/packages/data/data.h>
#include <fts/packages/sequence/sequence.h>

/* misc */
#define fts_outlet_object(s, i, o) (0)
#define fts_audio_get_sr() (ftmrte_audio_get_sr())
#define fts_audio_get_vs() (ftmrte_audio_get_vs())

#endif
